diff --git a/changelog b/changelog
index 37c11ce..5d27d71 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100620 tpd src/axiom-website/patches.html 20100620.04.tpd.patch
+20100620 tpd src/input/Makefile integral function integration
+20100620 tpd src/input/richspecfunc000-022.input special function integration
 20100620 tpd src/axiom-website/patches.html 20100620.03.tpd.patch
 20100620 tpd src/input/Makefile integral function integration
 20100620 tpd src/input/richintfunc000-032.input integral function integration
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fe405de..8324fcd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2932,6 +2932,8 @@ src/input/richinvhyper200-296.input inverse hyperbolic int.<br/>
 src/input/richerror000-078.input error function integration<br/>
 <a href="patches/20100620.03.tpd.patch">20100620.03.tpd.patch</a>
 src/input/richintfunc000-032.input integral function integration<br/>
+<a href="patches/20100620.04.tpd.patch">20100620.04.tpd.patch</a>
+src/input/richspecfunc000-022.input special function integration<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 59ef11e..32c011b 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -397,6 +397,7 @@ REGRES= ackermann.regress \
     richlog200-299.regress \
     richlog300-391.regress \
     richrational.regress \
+    richspecfunc000-022.regress \
     richtrig000-099.regress \
     richtrig100-199.regress \
     richtrig200-299.regress \
@@ -747,6 +748,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/richlog200-299.input \
        ${OUT}/richlog300-391.input \
        ${OUT}/richrational.input \
+       ${OUT}/richspecfunc000-022.input \
        ${OUT}/richtrig000-099.input \
        ${OUT}/richtrig100-199.input \
        ${OUT}/richtrig200-299.input \
@@ -1126,6 +1128,7 @@ DOCFILES= \
   ${DOC}/richlog200-299.input.dvi \
   ${DOC}/richlog300-391.input.dvi \
   ${DOC}/richrational.input.dvi \
+  ${DOC}/richspecfunc000-022.input.dvi \
   ${DOC}/richtrig000-099.input.dvi \
   ${DOC}/richtrig100-199.input.dvi \
   ${DOC}/richtrig200-299.input.dvi \
diff --git a/src/input/richspecfunc000-022.input.pamphlet b/src/input/richspecfunc000-022.input.pamphlet
new file mode 100644
index 0000000..1856ef8
--- /dev/null
+++ b/src/input/richspecfunc000-022.input.pamphlet
@@ -0,0 +1,1118 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input richspecfunc000-022.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f richspecfunc000-022.output
+)spool richspecfunc000-022.output
+)set message auto off
+)clear all
+
+--S 1 of 115
+t0000:= Gamma(n,a+b*x)
+--R 
+--R
+--R         _
+--R   (1)  | (n,b x + a)
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 115
+r0000:= (a+b*x)*Gamma(n,a+b*x)/b-Gamma(1+n,a+b*x)/b
+--R 
+--R
+--R           _                            _
+--R        - | (n + 1,b x + a) + (b x + a)| (n,b x + a)
+--R   (2)  --------------------------------------------
+--R                              b
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 115
+a0000:= integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++   _
+--R   (3)   |   | (n,%K b + a)d%K
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+
+--S 4 of 115
+--m0000:= a0000-r0000
+--E 4
+
+--S 5 of 115
+--d0000:= D(m0000,x)
+--E 5
+
+--S 6 of 115
+t0001:= x*Gamma(n,a+b*x)
+--R 
+--R
+--R          _
+--R   (4)  x| (n,b x + a)
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 115
+r0001:= -1/2*(a^2/b^2-x^2)*Gamma(n,a+b*x)+a*Gamma(1+n,a+b*x)/b^2-1/2*_
+        Gamma(2+n,a+b*x)/b^2
+--R 
+--R
+--R           _                     _                    2 2    2  _
+--R        - | (n + 2,b x + a) + 2a| (n + 1,b x + a) + (b x  - a )| (n,b x + a)
+--R   (5)  --------------------------------------------------------------------
+--R                                           2
+--R                                         2b
+--R                                                     Type: Expression Integer
+--E 7
+
+--S 8 of 115
+a0001:= integrate(t0001,x)
+--R 
+--R
+--R           x
+--R         ++     _
+--R   (6)   |   %K| (n,%K b + a)d%K
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 8
+
+--S 9 of 115
+--m0001:= a0001-r0001
+--E 9
+
+--S 10 of 115
+--d0001:= D(m0001,x)
+--E 10
+
+--S 11 of 115
+t0002:= x^2*Gamma(n,a+b*x)
+--R 
+--R
+--R         2 _
+--R   (7)  x | (n,b x + a)
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 115
+r0002:= -1/3*(-Gamma(n,a+b*x)*a^3-Gamma(n,a+b*x)*b^3*x^3+3*a^2*_
+        Gamma(1+n,a+b*x)-3*a*Gamma(2+n,a+b*x)+Gamma(3+n,a+b*x))/b^3
+--R 
+--R
+--R   (8)
+--R          _                     _                    2 _
+--R       - | (n + 3,b x + a) + 3a| (n + 2,b x + a) - 3a | (n + 1,b x + a)
+--R     + 
+--R         3 3    3  _
+--R       (b x  + a )| (n,b x + a)
+--R  /
+--R       3
+--R     3b
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 115
+a0002:= integrate(t0002,x)
+--R 
+--R
+--R           x
+--R         ++    2 _
+--R   (9)   |   %K | (n,%K b + a)d%K
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+--S 14 of 115
+--m0002:= a0002-r0002
+--E 14
+
+--S 15 of 115
+--d0002:= D(m0002,x)
+--E 15
+
+--S 16 of 115
+t0003:= log(Gamma(a+b*x))
+--R 
+--R
+--R              _
+--R   (10)  log(| (b x + a))
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 115
+r0003:= x*log(Gamma(a+b*x))-x*logGamma(a+b*x)+Psi(-2,a+b*x)/b
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 17
+
+--S 18 of 115
+a0003:= integrate(t0003,x)
+--R 
+--R
+--R            x
+--R          ++       _
+--R   (11)   |   log(| (%K b + a))d%K
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+--S 19 of 115
+--m0003:= a0003-r0003
+--E 19
+
+--S 20 of 115
+--d0003:= D(m0003,x)
+--E 20
+
+--S 21 of 115
+t0004:= x*log(Gamma(a+b*x))
+--R 
+--R
+--R                _
+--R   (12)  x log(| (b x + a))
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 115
+r0004:= 1/2*x^2*log(Gamma(a+b*x))-1/2*x^2*logGamma(a+b*x)-_
+        Psi(-3,a+b*x)/b^2+x*Psi(-2,a+b*x)/b
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 22
+
+--S 23 of 115
+a0004:= integrate(t0004,x)
+--R 
+--R
+--R            x
+--R          ++          _
+--R   (13)   |   %K log(| (%K b + a))d%K
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+
+--S 24 of 115
+--m0004:= a0004-r0004
+--E 24
+
+--S 25 of 115
+--d0004:= D(m0004,x)
+--E 25
+
+--S 26 of 115
+t0005:= x^2*log(Gamma(a+b*x))
+--R 
+--R
+--R          2     _
+--R   (14)  x log(| (b x + a))
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 115
+r0005:= 1/3*x^3*log(Gamma(a+b*x))-1/3*x^3*logGamma(a+b*x)+2*_
+        Psi(-4,a+b*x)/b^3-2*x*Psi(-3,a+b*x)/b^2+x^2*Psi(-2,a+b*x)/b
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 27
+
+--S 28 of 115
+a0005:= integrate(t0005,x)
+--R 
+--R
+--R            x
+--R          ++    2     _
+--R   (15)   |   %K log(| (%K b + a))d%K
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+
+--S 29 of 115
+--m0005:= a0005-r0005
+--E 29
+
+--S 30 of 115
+--d0005:= D(m0005,x)
+--E 30
+
+--S 31 of 115
+t0006:= logGamma(a+b*x)
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 31
+
+--S 32 of 115
+r0006:= Psi(-2,a+b*x)/b
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                                   Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 32
+
+--S 33 of 115
+--a0006:= integrate(t0006,x)
+--E 33
+
+--S 34 of 115
+--m0006:= a0006-r0006
+--E 34
+
+--S 35 of 115
+--d0006:= D(m0006,x)
+--E 35
+
+--S 36 of 115
+t0007:= x*logGamma(a+b*x)
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 36
+
+--S 37 of 115
+r0007:= -(Psi(-3,a+b*x)-x*Psi(-2,a+b*x)*b)/b^2
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                                   Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 37
+
+--S 38 of 115
+--a0007:= integrate(t0007,x)
+--E 38
+
+--S 39 of 115
+--m0007:= a0007-r0007
+--E 39
+
+--S 40 of 115
+--d0007:= D(m0007,x)
+--E 40
+
+--S 41 of 115
+t0008:= x^2*logGamma(a+b*x)
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 41
+
+--S 42 of 115
+r0008:= 2*Psi(-4,a+b*x)/b^3-2*x*Psi(-3,a+b*x)/b^2+x^2*Psi(-2,a+b*x)/b
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                                   Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 42
+
+--S 43 of 115
+--a0008:= integrate(t0008,x)
+--E 43
+
+--S 44 of 115
+--m0008:= a0008-r0008
+--E 44
+
+--S 45 of 115
+--d0008:= D(m0008,x)
+--E 45
+
+--S 46 of 115
+t0009:= x*Psi(n,a+b*x)
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                                 Variable n
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 46
+
+--S 47 of 115
+r0009:= (-Psi(-2+n,a+b*x)+x*Psi(-1+n,a+b*x)*b)/b^2
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 47
+
+--S 48 of 115
+--a0009:= integrate(t0009,x)
+--E 48
+
+--S 49 of 115
+--m0009:= a0009-r0009
+--E 49
+
+--S 50 of 115
+--d0009:= D(m0009,x)
+--E 50
+
+--S 51 of 115
+t0010:= x^2*Psi(1,a+b*x)
+--R 
+--R   There are no library operations named Psi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Psi
+--R      to learn if there is any operation containing " Psi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Psi 
+--R      with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 51
+
+--S 52 of 115
+r0010:= (-2*x*logGamma(a+b*x)*b+2*Psi(-2,a+b*x)+x^2*Psi(a+b*x)*b^2)/b^3
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 52
+
+--S 53 of 115
+--a0010:= integrate(t0010,x)
+--E 53
+
+--S 54 of 115
+--m0010:= a0010-r0010
+--E 54
+
+--S 55 of 115
+--d0010:= D(m0010,x)
+--E 55
+
+--S 56 of 115
+t0011:= x*Zeta(2,a+b*x)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 56
+
+--S 57 of 115
+r0011:= (-logGamma(a+b*x)+x*Psi(a+b*x)*b)/b^2
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 57
+
+--S 58 of 115
+--a0011:= integrate(t0011,x)
+--E 58
+
+--S 59 of 115
+--m0011:= a0011-r0011
+--E 59
+
+--S 60 of 115
+--d0011:= D(m0011,x)
+--E 60
+
+--S 61 of 115
+t0012:= x^2*Zeta(2,a+b*x)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 61
+
+--S 62 of 115
+r0012:= (-2*x*logGamma(a+b*x)*b+2*Psi(-2,a+b*x)+x^2*Psi(a+b*x)*b^2)/b^3
+--R 
+--R   There are 2 exposed and 0 unexposed library operations named 
+--R      logGamma having 1 argument(s) but none was determined to be 
+--R      applicable. Use HyperDoc Browse, or issue
+--R                            )display op logGamma
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      logGamma with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 62
+
+--S 63 of 115
+--a0012:= integrate(t0012,x)
+--E 63
+
+--S 64 of 115
+--m0012:= a0012-r0012
+--E 64
+
+--S 65 of 115
+--d0012:= D(m0012,x)
+--E 65
+
+--S 66 of 115
+t0013:= Zeta(s,a+b*x)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                                 Variable s
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 66
+
+--S 67 of 115
+r0013:= -Zeta(-1+s,a+b*x)/b/(-1+s)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 67
+
+--S 68 of 115
+--a0013:= integrate(t0013,x)
+--E 68
+
+--S 69 of 115
+--m0013:= a0013-r0013
+--E 69
+
+--S 70 of 115
+--d0013:= D(m0013,x)
+--E 70
+
+--S 71 of 115
+t0014:= x*Zeta(s,a+b*x)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                                 Variable s
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 71
+
+--S 72 of 115
+r0014:= -Zeta(-2+s,a+b*x)/b^2/(1-s)/(2-s)+x*Zeta(-1+s,a+b*x)/b/(1-s)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 72
+
+--S 73 of 115
+--a0014:= integrate(t0014,x)
+--E 73
+
+--S 74 of 115
+--m0014:= a0014-r0014
+--E 74
+
+--S 75 of 115
+--d0014:= D(m0014,x)
+--E 75
+
+--S 76 of 115
+t0015:= x^2*Zeta(s,a+b*x)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                                 Variable s
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 76
+
+--S 77 of 115
+r0015:= 2*Zeta(-3+s,a+b*x)/b^3/(1-s)/(2-s)/(3-s)-_
+        2*x*Zeta(-2+s,a+b*x)/b^2/(1-s)/(2-s)+x^2*Zeta(-1+s,a+b*x)/b/(1-s)
+--R 
+--R   There are no library operations named Zeta 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Zeta
+--R      to learn if there is any operation containing " Zeta " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Zeta 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 77
+
+--S 78 of 115
+--a0015:= integrate(t0015,x)
+--E 78
+
+--S 79 of 115
+--m0015:= a0015-r0015
+--E 79
+
+--S 80 of 115
+--d0015:= D(m0015,x)
+--E 80
+
+--S 81 of 115
+t0016:= polylog(n,a*x^m)/x
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 81
+
+--S 82 of 115
+r0016:= polylog(1+n,a*x^m)/m
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 82
+
+--S 83 of 115
+--a0016:= integrate(t0016,x)
+--E 83
+
+--S 84 of 115
+--m0016:= a0016-r0016
+--E 84
+
+--S 85 of 115
+--d0016:= D(m0016,x)
+--E 85
+
+--S 86 of 115
+t0017:= polylog(2,a+b*x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 86
+
+--S 87 of 115
+r0017:= -x-(1-a-b*x)*log(1-a-b*x)/b+(x+a/b)*polylog(2,a+b*x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 87
+
+--S 88 of 115
+--a0017:= integrate(t0017,x)
+--E 88
+
+--S 89 of 115
+--m0017:= a0017-r0017
+--E 89
+
+--S 90 of 115
+--d0017:= D(m0017,x)
+--E 90
+
+--S 91 of 115
+t0018:= polylog(n,a*f^x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 91
+
+--S 92 of 115
+r0018:= polylog(1+n,a*f^x)/log(f)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 92
+
+--S 93 of 115
+--a0018:= integrate(t0018,x)
+--E 93
+
+--S 94 of 115
+--m0018:= a0018-r0018
+--E 94
+
+--S 95 of 115
+--d0018:= D(m0018,x)
+--E 95
+
+--S 96 of 115
+t0019:= x*polylog(n,a*f^x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 96
+
+--S 97 of 115
+r0019:= 1/log(f)^2*(x*polylog(1+n,a*f^x)*log(f)-polylog(2+n,a*f^x))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 97
+
+--S 98 of 115
+--a0019:= integrate(t0019,x)
+--E 98
+
+--S 99 of 115
+--m0019:= a0019-r0019
+--E 99
+
+--S 100 of 115
+--d0019:= D(m0019,x)
+--E 100
+
+--S 101 of 115
+t0020:= x^2*polylog(n,a*f^x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 101
+
+--S 102 of 115
+r0020:= 1/log(f)^3*(x^2*polylog(1+n,a*f^x)*log(f)^2-_
+        2*x*polylog(2+n,a*f^x)*log(f)+2*polylog(3+n,a*f^x))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 102
+
+--S 103 of 115
+--a0020:= integrate(t0020,x)
+--E 103
+
+--S 104 of 115
+--m0020:= a0020-r0020
+--E 104
+
+--S 105 of 115
+--d0020:= D(m0020,x)
+--E 105
+
+--S 106 of 115
+t0021:= log(x)*polylog(n,a*x)/x
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 106
+
+--S 107 of 115
+r0021:= log(x)*polylog(1+n,a*x)-polylog(2+n,a*x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 107
+
+--S 108 of 115
+--a0021:= integrate(t0021,x)
+--E 108
+
+--S 109 of 115
+--m0021:= a0021-r0021
+--E 109
+
+--S 110 of 115
+--d0021:= D(m0021,x)
+--E 110
+
+--S 111 of 115
+t0022:= log(x)^2*polylog(n,a*x)/x
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                                 Variable n
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 111
+
+--S 112 of 115
+r0022:= log(x)^2*polylog(1+n,a*x)-2*log(x)*polylog(2+n,a*x)+2*polylog(3+n,a*x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                             Polynomial Integer
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 112
+
+--S 113 of 115
+--a0022:= integrate(t0022,x)
+--E 113
+
+--S 114 of 115
+--m0022:= a0022-r0022
+--E 114
+
+--S 115 of 115
+--d0022:= D(m0022,x)
+--E 115
+
+)spool
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Albert D. Rich ``Rule-based Mathematics''
+\verb|www.apmaths.uwo.ca/~arich|
+\end{thebibliography}
+\end{document}
